Ingest Ops Notifications

Ingest Ops Notifications
Ingest OPS notifications.

Ingest OPS notifications to be published later to any subscribers on the message bus.

Request
URI
POST
https://{api_host}/cloudapi/v1/ops-notifications
COPY
Request Body
OpsNotifications of type(s) application/json
Required
{
    "values": [
        {
            "id": "string",
            "type": "string",
            "tenant": {
                "name": "string",
                "id": "string"
            },
            "properties": {
                "properties": {}
            },
            "status": "string",
            "message": "string"
        }
    ]
}
array of object
values
Optional
Constraints: maxItems: 100

The current page of OPS notifications.

Authentication
This operation uses the following authentication methods.
Responses
200

OK. The result contains all input items with their relevant status of processing.

Returns OpsNotifications of type(s) application/json;version=9.1.0
{
    "values": [
        {
            "id": "string",
            "type": "string",
            "tenant": {
                "name": "string",
                "id": "string"
            },
            "properties": {
                "properties": {}
            },
            "status": "string",
            "message": "string"
        }
    ]
}

429

Too Many Requests. Signal the caller to hold down. Either the load is high to cope with or the rate limit was exceeded.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/ops-notifications
                
Availability
Added in 10.0.0.0-alpha
Ops Notifications Operations
POST
Ingest Ops Notifications